#ifndef START_GUI_H
#define START_GUI_H

#include "client/gui/BaseGUI.h"

class StartGUI final {
    BaseGUI base;
    BaseGUI::Label& info;
    BaseGUI::Input& address;
    BaseGUI::Button& connect;

public:
    StartGUI(BaseGUI b);

    void tick();
    void render(float lag, ShaderMatrix& sm, Renderer& r);

    typedef StringBuffer<64> Address;
    bool getAddress(Address& a) const;
};

#endif