#ifndef COMMANDMANAGER_H
#define COMMANDMANAGER_H

#include "server/commands/CommandTypes.h"
#include "server/commands/ServerState.h"
#include "utils/HashMap.h"

class CommandManager {
    typedef void (*Command)(ServerState&, const CommandArguments&);
    HashMap<CommandName, Command> commands;

public:
    CommandManager();

    void execute(ServerState& sc, const RawCommand& rawCommand);
};

#endif